Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

getMailList

Prev Next

Available in Classic and VPC

Use the delivery request ID to get the list of emails generated by a specific delivery request.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /mails/requests/{requestId}/mails

Request headers

For information about the headers common to all Cloud Outbound Mailer APIs, see Cloud Outbound Mailer request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
requestId String Required Email delivery request ID to distinguish each request
  • requestId can contain multiple mailId when requesting multiple mailings at once

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
mailId String Optional Unique ID to identify each email
recipientAddress String Optional Recipient email address
title String Optional Email subject
  • LIKE search supported
sendStatus List[String] Optional Email delivery status
  • R | I | S | F | U | C | PF
    • R: Preparing delivery
    • I: Sending
    • S: Delivery succeeded
    • F: Delivery failed
    • U: Rejected
    • C: Delivery canceled
    • PF: Partially failed
size Integer Optional Number of records per page
  • 10 (default)
page Integer Optional Page index to view
  • 0 or greater
sort String Optional Sort by
  • id | createUtc | statusCode
    • id: email ID
    • createUtc: creation date and time
    • statusCode: delivery status
  • property (,asc|desc) format
    • asc (default)
  • Multiple sort criteria can be set

Request example

The following is a sample request.

curl --location --request GET 'https://mail.apigw.ntruss.com/api/v1/mails/requests/20181120000000010999/mails?size=5&sendStatus=S&sendStatus=PF&page=0' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response body

The following describes the response body.

Field Type Required Description
content List - Details for the mailing request
last Boolean - It indicates whether this is the last page
totalElements Integer - Total number of records
totalPages Integer - Total number of pages
first Boolean - It indicates whether this is the first page
numberOfElements Integer - Number of records in the current page
sort List - Sort by
size Integer - Number of records per page
number Integer - Index of the current page
  • 0 or greater

Response status codes

For information about the HTTP status codes common to all Cloud Outbound Mailer APIs, see Cloud Outbound Mailer response status codes.

Response example

The following is a sample response.

{
  "content": [
    {
      "requestId": "20181120000000010999",
      "requestDate": {
        "utc": 1542694793101,
        "formattedDate": "2018-11-20",
        "formattedDateTime": "2018-11-20 15:19:53 101"
      },
      "mailId": "20181120000000011009",
      "title": "test!",
      "templateSid": 41,
      "templateName": "test2",
      "emailStatus": {
        "label": "Partially failed",
        "code": "PF"
      },
      "senderAddress": "a@ac.om",
      "senderName": "testUser",
      "sendDate": {
        "utc": 1542694793856,
        "formattedDate": "2018-11-20",
        "formattedDateTime": "2018-11-20 15:19:53 856"
      },
      "representativeRecipient": "test0@ncp-mail.com(30)",
      "reservationStatus": {
        "label": "Send immediately",
        "code": "N"
      },
      "advertising": false
    },
    {
      "requestId": "20181120000000010999",
      "requestDate": {
        "utc": 1542694793101,
        "formattedDate": "2018-11-20",
        "formattedDateTime": "2018-11-20 15:19:53 101"
      },
      "mailId": "20181120000000011109",
      "title": "test!",
      "templateSid": 41,
      "templateName": "test2",
      "emailStatus": {
        "label": "Delivery succeeded",
        "code": "S"
      },
      "senderAddress": "a@ac.om",
      "senderName": "testUser",
      "sendDate": {
        "utc": 1542694793655,
        "formattedDate": "2018-11-20",
        "formattedDateTime": "2018-11-20 15:19:53 655"
      },
      "representativeRecipient": "test36@ncp-mail.com(12)",
      "reservationStatus": {
        "label": "Send immediately",
        "code": "N"
      },
      "advertising": false
    }
  ],
  "last": true,
  "totalElements": 2,
  "totalPages": 1,
  "first": true,
  "numberOfElements": 2,
  "sort": [
    {
      "direction": "DESC",
      "property": "createUtc",
      "ignoreCase": false,
      "nullHandling": "NATIVE",
      "ascending": false,
      "descending": true
    }
  ],
  "size": 5,
  "number": 0
}